
def add_task_to_queue(task_name, *args, **kwargs):
    from celery import Celery
    from celery.utils.log import get_task_logger

    app = Celery('tasks', broker='pyamqp://guest@localhost//')
    logger = get_task_logger(__name__)

    task = app.tasks[task_name]
    task.delay(*args, **kwargs)
    logger.info(f'Task {task_name} added to queue with args {args} and kwargs {kwargs}')



